Bug 76478 - lpoptions has inconsistent requirement for "named destination"
lpoptions has inconsistent requirement for "named destination"
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: cups (Show other bugs)
8.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-22 05:29 EDT by Robert P. J. Day
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-18 12:43:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert P. J. Day 2002-10-22 05:29:12 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020830

Description of problem:
  the lpoptions command is inconsistent in requiring a
"named destination" (the phrase used on the man page)
when setting and removing personal print options.

  as a regular user, you can set a personal option such as:

  $ lpoptions -o scale=50

if you don't specify a printer, the default one is assumed
and this information is recorded in ~/.lpoptions.

  if, however, you want to remove that setting, you must
type the name of the printer, as in:

  $ lpoptions -p <printer> -r scale

you cannot let it simply default as before, despite that
the man page does not make this distinction (for both the
-o and -r options, the man page refers explicitly to a
"named destination", suggesting that the printer name is
required both times).

  in addition, in this last case, the options are (ack!)
order dependent.  if you type

  $ lpoptions -r scale -p <printer>

the command fails silently, and nothing is changed.  that's
definitely confusing.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. $ lpoptions -o <option>=<value>    # to set a value
2. $ lpoptions -r <option>
3. note that option is NOT removed in step 2 without a
   named destination being supplied by the user
	

Additional info:
Comment 1 Tim Waugh 2002-10-22 05:32:20 EDT
Patch already sent upstream and rejected.  Waiting for 1.1.17 to resubmit better
patch.
Comment 2 Bill Nottingham 2006-08-07 15:21:32 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Red Hat apologizes that these issues have not been resolved yet. We do
want to make sure that no important bugs slip through the cracks.
Please check if this issue is still present in a current Fedora Core
release. If so, please change the product and version to match, and
check the box indicating that the requested information has been
provided. Note that any bug still open against Red Hat Linux on will be
closed as 'CANTFIX' on September 30, 2006. Thanks again for your help.
Comment 3 Bill Nottingham 2006-10-18 12:43:27 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.